// arg03.c
/*
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./ar
Nom del 1r arxiu: p.txt
Nom del 2n arxiu: s.txt
1r arxiu: "p.txt", 2n arxiu: "s.txt"
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./ar p.txt
Nom del 2n arxiu: s.txt
1r arxiu: "p.txt", 2n arxiu: "s.txt"
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./ar p.txt s.txt
1r arxiu: "p.txt", 2n arxiu: "s.txt"
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./ar p.txt s.txt t.txt
Heu d'escriure ./ar <1rArg> <2nArg>
*/

#include <stdio.h>
#include <string.h>

#define GROS 99

char* szPreguntaArxiu(char* szResposta,char* szPregunta){
	printf("%s",szPregunta);
	scanf("%s",szResposta);
	
	return szResposta; // return &szResposta[0];
}

int main(int argc, char* argv[]){
	int i;
	char sz1rArxiu[GROS],sz2nArxiu[GROS];
	
	switch(argc){
		case 1:
			szPreguntaArxiu(sz1rArxiu,"Nom del 1r arxiu: ");
			szPreguntaArxiu(sz2nArxiu,"Nom del 2n arxiu: ");
			break;
		case 2:
			strcpy(sz1rArxiu,argv[1]);
			szPreguntaArxiu(sz2nArxiu,"Nom del 2n arxiu: ");
			break;
		case 3:
			strcpy(sz1rArxiu,argv[1]);
			strcpy(sz2nArxiu,argv[2]);
			break;
		default:
			printf("Heu d'escriure %s <1rArg> <2nArg>\n",argv[0]);
			return 1;	
	}
	
	printf("1r arxiu: \"%s\", 2n arxiu: \"%s\"\n",sz1rArxiu,sz2nArxiu);

	return 0;
}
