#!/usr/bin/python3
# arg03.py
"""
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./arg03.py p.txt s.txt t.txt
Heu d'escriure ./arg03.py <1rArg> <2nArg>
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./arg03.py
Nom del 1r arxiu: p.txt
Nom del 2n arxiu: s.txt 
1r arxiu: "p.txt", 2n arxiu: "s.txt"
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./arg03.py p.txt
Nom del 2n arxiu: s.txt
1r arxiu: "p.txt", 2n arxiu: "s.txt"
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./arg03.py p.txt s.txt
1r arxiu: "p.txt", 2n arxiu: "s.txt"
jordi@ecat-debian:~/registreCodVid19/m03/20200504_covid19$ ./arg03.py p.txt s.txt t.txt
Heu d'escriure ./arg03.py <1rArg> <2nArg>
"""
import sys

def szPreguntaArxiu(szPregunta):
	szResposta = input("%s"%szPregunta)
	
	return szResposta

def main():
	argc = len(sys.argv)
	if argc == 1:
		sz1rArxiu = szPreguntaArxiu("Nom del 1r arxiu: ")
		sz2nArxiu = szPreguntaArxiu("Nom del 2n arxiu: ")
	elif argc == 2:
		sz1rArxiu = sys.argv[1]
		sz2nArxiu = szPreguntaArxiu("Nom del 2n arxiu: ")
	elif argc == 3:
		sz1rArxiu = sys.argv[1]
		sz2nArxiu = sys.argv[2]
	else:
		print("Heu d'escriure %s <1rArg> <2nArg>" % sys.argv[0])
		sys.exit(1)
		
	print("1r arxiu: \"%s\", 2n arxiu: \"%s\"" % (sz1rArxiu,sz2nArxiu) )

main()
