#!/usr/bin/python3
# ex14_00.py
import sys

FITXER_ORIGEN = "desti.txt"
FITXER_DESTI  = "recup.txt"

def recupera_redundancia (f_origen, f_desti, redun):
	try:
		f_o = open(f_origen)
		try:
			f_d = open(f_desti,'w') # 'w' esborra l'arxiu sense avisar. 'x' avisa si existeix l'arxiu abans d'escriure-ho
			i = 0
			while True:
				cCar = f_o.read(1) # Aquest 1 indica el número de caràcters a llegir
				if cCar == "": # Arribat al final de l'arxiu
					f_d.close()
					f_o.close()
					break
				i += 1
				if i == redun:
					f_d.write(cCar)
					i = 0
		except IOError:
			print("No es pot escriure l'arxiu %s. Heu mirat si hi teniu permisos?" % f_desti)
	except FileNotFoundError:
		print("No es pot llegir l'arxiu %s. Heu mirat si existeix?" % f_origen)

def main():
	print("Recuperant de l'arxiu %s a %s" % (FITXER_ORIGEN,FITXER_DESTI))
	recupera_redundancia(FITXER_ORIGEN,FITXER_DESTI,3)

if len(sys.argv) == 3:
	FITXER_ORIGEN = sys.argv[1]
	FITXER_DESTI = sys.argv[2]

main()
